com.informix.jdbc

## Class IfxChar

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxChar

    public class IfxChar
    extends IfxObject

Support for Char datatypes. This class derived from IfxObject class.

See Also:
  `IfxObject`

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Constructor Summary

Constructors
Constructor and Description
`IfxChar()` Empty constructor.
`IfxChar(char[] c)` Constructs an IfxChar given an char array
`IfxChar(java.lang.String S)` Construct an IfxChar given a String

### Method Summary

Methods
`boolean` `equals(java.lang.Object other)` See if the input object is the same as this
`void` `fromAsciiStream(java.io.InputStream x, int length)`
`void` `fromAsciiStream(java.io.InputStream x, long length)`
`void` `fromBoolean(boolean b)` Convert to IfxChar from java boolean
`void` `fromBoolean(java.lang.Boolean B)`
`void` `fromByte(byte b)` Convert to IfxChar from java byte
`void` `fromByte(java.lang.Byte B)`
`void` `fromBytes(byte[] str)`
`void` `fromCharacterStream(java.io.Reader x, int length)`
`void` `fromCharacterStream(java.io.Reader reader, long length)`
`void` `fromDate(java.sql.Date D)` Convert to IfxChar from java Date
`void` `fromDecimal(java.math.BigDecimal B)` Convert to IfxChar from java big decimal
`void` `fromDouble(double d)` Convert to IfxChar from java double
`void` `fromDouble(java.lang.Double D)`
`void` `fromFloat(float f)` Convert to IfxChar from java float
`void` `fromFloat(java.lang.Float F)`
`void` `fromIfx(byte[] b)` Convert Informix network format to IfxChar
`void` `fromIfx(byte[] b, int offset, int length)` Convert Informix network format to IfxChar
`void` `fromInputStream(java.io.InputStream x, int length)`
`void` `fromInputStream(java.io.InputStream x, long length)`
`void` `fromInt(int i)` Convert to IfxChar from java integer
`void` `fromInt(java.lang.Integer I)`
`void` `fromLong(long l)` Convert to IfxChar from java long
`void` `fromLong(java.lang.Long L)`
`void` `fromShort(short s)` Convert to IfxChar from java short
`void` `fromShort(java.lang.Short S)`
`void` `fromString(java.lang.String str)` Convert from java string into IfxChar
`void` `fromTime(java.sql.Time T)` Convert to IfxChar from java Time
`void` `fromTimestamp(java.sql.Timestamp T)` Convert to IfxChar from java Timestamp
`java.io.InputStream` `toAsciiStream()` Convert the value of 'this' to an ascii stream
`boolean` `toBoolean()` Convert IfxChar to java boolean
`byte` `toByte()` Convert IfxChar to java byte
`byte[]` `toBytes()`
`java.io.Reader` `toCharacterStream()` Convert the value of 'this' to Reader
`java.sql.Date` `toDate()` Convert IfxChar to java Date
`java.math.BigDecimal` `toDecimal()` Convert IfxChar to java big decimal
`double` `toDouble()` Convert IfxChar to java double
`float` `toFloat()` Convert IfxChar to java float
`byte[]` `toIfx()` Convert IfxChar to Informix network format
`byte[]` `toIfxTuple()` Convert IfxChar to Informix tuple format
`java.io.InputStream` `toInputStream()`
`int` `toInt()` Convert IfxChar to java integer
`long` `toLong()` Convert IfxChar to java long
`java.lang.Object` `toObject()`
`short` `toShort()` Convert IfxChar to java short
`java.lang.String` `toString()` Convert IfxChar to java String
`java.sql.Time` `toTime()` Convert IfxChar to java Time
`java.sql.Timestamp` `toTimestamp()` Convert IfxChar to java Timestamp

### Methods inherited from class com.informix.jdbc.IfxObject

`clear, clearWarning, fromBinaryStream, fromBinaryStream, fromBlob, fromClob, fromDecimal, fromIfx, fromIfx, fromIfx, fromIfx, fromIntervalDF, fromIntervalYM, fromNClob, fromObject, fromObject, fromObject, fromRowId, fromSQLXML, fromString, get_used_in_update, getEncodedLength, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toBinaryStream, toBlob, toClob, toIfxBSONObject, toInterval, toIntervalDF, toIntervalYM, toNClob, toObject, toRowId, toSQLXML, toUnloadString, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxChar

    public IfxChar()
            throws java.sql.SQLException

Empty constructor. Only instantiate the object

Throws:
  `java.sql.SQLException`

#### IfxChar

    public IfxChar(char[] c)
            throws java.sql.SQLException

Constructs an IfxChar given an char array

Parameters:
  `c` - char array
Throws:
  `java.sql.SQLException`

#### IfxChar

    public IfxChar(java.lang.String S)
            throws java.sql.SQLException

Construct an IfxChar given a String

Parameters:
  `S` - String class
Throws:
  `java.sql.SQLException`

### Method Detail

#### equals

    public boolean equals(java.lang.Object other)

See if the input object is the same as this

Overrides:
  `equals` in class `IfxObject`
Parameters:
  `other` - the other object to compare with
Returns:
  true if two objects are equal

#### toIfx

    public byte[] toIfx()
                 throws java.sql.SQLException

Convert IfxChar to Informix network format

Overrides:
  `toIfx` in class `IfxObject`
Returns:
  a byte array in Informix network format
Throws:
  `java.sql.SQLException`

#### toIfxTuple

    public byte[] toIfxTuple()
                      throws java.sql.SQLException

Convert IfxChar to Informix tuple format

Overrides:
  `toIfxTuple` in class `IfxObject`
Returns:
  a byte array in Informix network format
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b)
                 throws java.sql.SQLException

Convert Informix network format to IfxChar

Overrides:
  `fromIfx` in class `IfxObject`
Parameters:
  `b` - a byte array in Informix network format
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b,
               int offset,
               int length)
                 throws java.sql.SQLException

Convert Informix network format to IfxChar

Overrides:
  `fromIfx` in class `IfxObject`
Parameters:
  `b` - a byte array in Informix network format
  `offset` - offset into byte array where char data starts
  `size` - size of char data
Throws:
  `java.sql.SQLException`

#### toObject

    public java.lang.Object toObject()
                              throws java.sql.SQLException

Overrides:
  `toObject` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Convert IfxChar to java String

Overrides:
  `toString` in class `IfxObject`
Returns:
  value in java String

#### fromString

    public void fromString(java.lang.String str)
                    throws java.sql.SQLException

Convert from java string into IfxChar

Overrides:
  `fromString` in class `IfxObject`
Parameters:
  `str` - String to convert from
Throws:
  `java.sql.SQLException`

#### fromBytes

    public void fromBytes(byte[] str)
                   throws java.sql.SQLException

Overrides:
  `fromBytes` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toInt

    public int toInt()
              throws java.sql.SQLException

Convert IfxChar to java integer

Overrides:
  `toInt` in class `IfxObject`
Returns:
  value in integer
Throws:
  `java.sql.SQLException`

#### fromInt

    public void fromInt(int i)
                 throws java.sql.SQLException

Convert to IfxChar from java integer

Overrides:
  `fromInt` in class `IfxObject`
Parameters:
  `i` - java integer to convert from
Throws:
  `java.sql.SQLException`

#### fromInt

    public void fromInt(java.lang.Integer I)
                 throws java.sql.SQLException

Overrides:
  `fromInt` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toDecimal

    public java.math.BigDecimal toDecimal()
                                   throws java.sql.SQLException

Convert IfxChar to java big decimal

Overrides:
  `toDecimal` in class `IfxObject`
Returns:
  value in java big decimal
Throws:
  `java.sql.SQLException`

#### fromDecimal

    public void fromDecimal(java.math.BigDecimal B)
                     throws java.sql.SQLException

Convert to IfxChar from java big decimal

Overrides:
  `fromDecimal` in class `IfxObject`
Parameters:
  `B` - java big decimal to convert from
Throws:
  `java.sql.SQLException`

#### toByte

    public byte toByte()
                throws java.sql.SQLException

Convert IfxChar to java byte

Overrides:
  `toByte` in class `IfxObject`
Returns:
  value in java byte
Throws:
  `java.sql.SQLException`

#### toBytes

    public byte[] toBytes()
                   throws java.sql.SQLException

Overrides:
  `toBytes` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromByte

    public void fromByte(byte b)
                  throws java.sql.SQLException

Convert to IfxChar from java byte

Overrides:
  `fromByte` in class `IfxObject`
Parameters:
  `b` - java byte to convert from
Throws:
  `java.sql.SQLException`

#### fromByte

    public void fromByte(java.lang.Byte B)
                  throws java.sql.SQLException

Overrides:
  `fromByte` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toBoolean

    public boolean toBoolean()
                      throws java.sql.SQLException

Convert IfxChar to java boolean

Overrides:
  `toBoolean` in class `IfxObject`
Returns:
  value in java boolean
Throws:
  `java.sql.SQLException`

#### fromBoolean

    public void fromBoolean(boolean b)
                     throws java.sql.SQLException

Convert to IfxChar from java boolean

Overrides:
  `fromBoolean` in class `IfxObject`
Parameters:
  `b` - java boolean to convert from
Throws:
  `java.sql.SQLException`

#### fromBoolean

    public void fromBoolean(java.lang.Boolean B)
                     throws java.sql.SQLException

Overrides:
  `fromBoolean` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toDate

    public java.sql.Date toDate()
                         throws java.sql.SQLException

Convert IfxChar to java Date

Overrides:
  `toDate` in class `IfxObject`
Returns:
  value in java Date
Throws:
  `java.sql.SQLException`

#### fromDate

    public void fromDate(java.sql.Date D)
                  throws java.sql.SQLException

Convert to IfxChar from java Date

Overrides:
  `fromDate` in class `IfxObject`
Parameters:
  `D` - java Date value to convert from
Throws:
  `java.sql.SQLException`

#### toFloat

    public float toFloat()
                  throws java.sql.SQLException

Convert IfxChar to java float

Overrides:
  `toFloat` in class `IfxObject`
Returns:
  value in java float
Throws:
  `java.sql.SQLException`

#### fromFloat

    public void fromFloat(float f)
                   throws java.sql.SQLException

Convert to IfxChar from java float

Overrides:
  `fromFloat` in class `IfxObject`
Parameters:
  `f` - java float value to convert from
Throws:
  `java.sql.SQLException`

#### fromFloat

    public void fromFloat(java.lang.Float F)
                   throws java.sql.SQLException

Overrides:
  `fromFloat` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toLong

    public long toLong()
                throws java.sql.SQLException

Convert IfxChar to java long

Overrides:
  `toLong` in class `IfxObject`
Returns:
  value in java long
Throws:
  `java.sql.SQLException`

#### fromLong

    public void fromLong(long l)
                  throws java.sql.SQLException

Convert to IfxChar from java long

Overrides:
  `fromLong` in class `IfxObject`
Parameters:
  `l` - java long to convert from
Throws:
  `java.sql.SQLException`

#### fromLong

    public void fromLong(java.lang.Long L)
                  throws java.sql.SQLException

Overrides:
  `fromLong` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toShort

    public short toShort()
                  throws java.sql.SQLException

Convert IfxChar to java short

Overrides:
  `toShort` in class `IfxObject`
Returns:
  value in java short
Throws:
  `java.sql.SQLException`

#### fromShort

    public void fromShort(short s)
                   throws java.sql.SQLException

Convert to IfxChar from java short

Overrides:
  `fromShort` in class `IfxObject`
Parameters:
  `s` - java short to convert from
Throws:
  `java.sql.SQLException`

#### fromShort

    public void fromShort(java.lang.Short S)
                   throws java.sql.SQLException

Overrides:
  `fromShort` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toTime

    public java.sql.Time toTime()
                         throws java.sql.SQLException

Convert IfxChar to java Time

Overrides:
  `toTime` in class `IfxObject`
Returns:
  value in java Time
Throws:
  `java.sql.SQLException`

#### fromTime

    public void fromTime(java.sql.Time T)
                  throws java.sql.SQLException

Convert to IfxChar from java Time

Overrides:
  `fromTime` in class `IfxObject`
Parameters:
  `T` - java Time to convert from
Throws:
  `java.sql.SQLException`

#### toDouble

    public double toDouble()
                    throws java.sql.SQLException

Convert IfxChar to java double

Overrides:
  `toDouble` in class `IfxObject`
Returns:
  value in java double
Throws:
  `java.sql.SQLException`

#### fromDouble

    public void fromDouble(double d)
                    throws java.sql.SQLException

Convert to IfxChar from java double

Overrides:
  `fromDouble` in class `IfxObject`
Parameters:
  `d` - java double to convert from
Throws:
  `java.sql.SQLException`

#### fromDouble

    public void fromDouble(java.lang.Double D)
                    throws java.sql.SQLException

Overrides:
  `fromDouble` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toTimestamp

    public java.sql.Timestamp toTimestamp()
                                   throws java.sql.SQLException

Convert IfxChar to java Timestamp

Overrides:
  `toTimestamp` in class `IfxObject`
Returns:
  value in java Timestamp
Throws:
  `java.sql.SQLException`

#### fromTimestamp

    public void fromTimestamp(java.sql.Timestamp T)
                       throws java.sql.SQLException

Convert to IfxChar from java Timestamp

Overrides:
  `fromTimestamp` in class `IfxObject`
Parameters:
  `T` - java Timestamp to convert from
Throws:
  `java.sql.SQLException`

#### toAsciiStream

    public java.io.InputStream toAsciiStream()
                                      throws java.sql.SQLException

Convert the value of 'this' to an ascii stream

Overrides:
  `toAsciiStream` in class `IfxObject`
Returns:
  the value converted to a java ascii stream
Throws:
  `java.sql.SQLException`

#### fromAsciiStream

    public void fromAsciiStream(java.io.InputStream x,
                       long length)
                         throws java.sql.SQLException

Overrides:
  `fromAsciiStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromAsciiStream

    public void fromAsciiStream(java.io.InputStream x,
                       int length)
                         throws java.sql.SQLException

Overrides:
  `fromAsciiStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromInputStream

    public void fromInputStream(java.io.InputStream x,
                       long length)
                         throws java.sql.SQLException

Overrides:
  `fromInputStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromInputStream

    public void fromInputStream(java.io.InputStream x,
                       int length)
                         throws java.sql.SQLException

Overrides:
  `fromInputStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toInputStream

    public java.io.InputStream toInputStream()
                                      throws java.sql.SQLException

Overrides:
  `toInputStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromCharacterStream

    public void fromCharacterStream(java.io.Reader reader,
                           long length)
                             throws java.sql.SQLException

Overrides:
  `fromCharacterStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromCharacterStream

    public void fromCharacterStream(java.io.Reader x,
                           int length)
                             throws java.sql.SQLException

Overrides:
  `fromCharacterStream` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toCharacterStream

    public java.io.Reader toCharacterStream()
                                     throws java.sql.SQLException

Convert the value of 'this' to Reader

Overrides:
  `toCharacterStream` in class `IfxObject`
Returns:
  the value converted to a java.io.StringReader
Throws:
  `java.sql.SQLException`